org.apache.cassandra.io.sstable

## Class ColumnStats

- java.lang.Object
- - org.apache.cassandra.io.sstable.ColumnStats

    public class ColumnStats
    extends java.lang.Object

ColumnStats holds information about the columns for one row inside sstable

### Nested Class Summary

Nested Classes
`static class` `ColumnStats.MaxIntTracker`
`static class` `ColumnStats.MaxLongTracker`
`static class` `ColumnStats.MinLongTracker`

### Field Summary

Fields
`int` `columnCount` how many columns are there in the row
`boolean` `hasLegacyCounterShards`
`java.util.List<java.nio.ByteBuffer>` `maxColumnNames`
`int` `maxLocalDeletionTime`
`long` `maxTimestamp`
`java.util.List<java.nio.ByteBuffer>` `minColumnNames` max and min column names according to comparator
`long` `minTimestamp` the largest (client-supplied) timestamp in the row
`StreamingHistogram` `tombstoneHistogram` histogram of tombstone drop time

### Constructor Summary

Constructors
Constructor and Description
`ColumnStats(int columnCount, long minTimestamp, long maxTimestamp, int maxLocalDeletionTime, StreamingHistogram tombstoneHistogram, java.util.List<java.nio.ByteBuffer> minColumnNames, java.util.List<java.nio.ByteBuffer> maxColumnNames, boolean hasLegacyCounterShards)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columnCount

    public final int columnCount

how many columns are there in the row

#### minTimestamp

    public final long minTimestamp

the largest (client-supplied) timestamp in the row

#### maxTimestamp

    public final long maxTimestamp

#### maxLocalDeletionTime

    public final int maxLocalDeletionTime

#### tombstoneHistogram

    public final StreamingHistogram tombstoneHistogram

histogram of tombstone drop time

#### minColumnNames

    public final java.util.List<java.nio.ByteBuffer> minColumnNames

max and min column names according to comparator

#### maxColumnNames

    public final java.util.List<java.nio.ByteBuffer> maxColumnNames

#### hasLegacyCounterShards

    public final boolean hasLegacyCounterShards

### Constructor Detail

#### ColumnStats

    public ColumnStats(int columnCount,
                       long minTimestamp,
                       long maxTimestamp,
                       int maxLocalDeletionTime,
                       StreamingHistogram tombstoneHistogram,
                       java.util.List<java.nio.ByteBuffer> minColumnNames,
                       java.util.List<java.nio.ByteBuffer> maxColumnNames,
                       boolean hasLegacyCounterShards)